-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)
local quests = LuaQuests(Quests)
local gui = LuaGUI(GUI)

--[[
	General
]]--

function isAvailable ()
	local ctx = LuaDialogContext(dialog:getContext("captainbarlow"))
	
	if ctx:getBoolean(2) == true then
		return false
	end
	
	return ctx:getBoolean(0)
end

function getName ()
	return "Captain Barlow"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("captainbarlow"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1

	if ctx:isTopicOpened("greet") == true and ctx:getBoolean(1) == false then
		topics[i] = "ask_about_charter"
		i = i + 1
	end

	return topics
	
end

function getTopicTitle (topicKey)
	return nil
end

function delegates ()
	return {Delegates.PassSeason}
end

function seasonPassed (newSeason, year)

	if newSeason == Season.Summer.value and year == 1500 then
		print("Summertime - Captain Barlow has arrived!")
		LuaDialogContext(dialog:getContext("captainbarlow")):setBoolean(0, true)
		gui:showInfoMessage({key = "captain_barlow_arrival", delay = 0.8});
	end
	
	return false
end