-- keeps track of the dialog index
local currentIndex = 0

-- globals
local dialog = LuaDialogManager(DialogManager)
local gui = LuaGUI(GUI)
local party = LuaParty(Party)
 
function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if dialogIndex == 0 then
		currentDialog:show({key = "charter_text_1", options = {{key = "continue", id = 1}}})
	elseif dialogIndex == 1 then
		currentDialog:show({key = "post_charter_text", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	if optionIdentifier == 1 then
		local currentDialog = LuaDialog(dialog:getCurrentDialog())
		local msgBody = currentDialog:getText("msg_hire")
		local msgTitle = currentDialog:getText("msg_hire_title")
		gui:showMessageBox({
							text = msgBody,
							title = msgTitle,
							type = MessageBoxType.Confirmation,
							id = 500,
							verticalAlign = VerticalAlignment.Middle});
		dialog:callEnd()
		return			
	end
	
	if optionIdentifier == -1 then
		dialog:callEnd()
	end
end

function started ()
	showDialog(0)
end

function ended ()

end

function delegates ()
	return {Delegates.MessageBox}
end

function messageBoxDismissed(id, button)
	if id == 500 then
		-- Yes
		if button == 2 then
			LuaDialogContext(dialog:getContext("captainbarlow")):setBoolean(1, true)
			showDialog(1)
			party:createShip({
				shipType = ShipType.Chatellin,
				chartered = true,
				shipName = ""})
			return true
		-- No
		elseif button == 1 then
			dialog:callEnd()
		end
	end
	return false
end