-- keeps track of the dialog index
local currentIndex = 0

-- globals
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if currentIndex == 0 then
		currentDialog:show({key = "goods_text_1", options = {{key = "goods_reply_1"}}})
	elseif currentIndex == 1 then
		currentDialog:show({key = "goods_text_2", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)

	if optionIdentifier == -1 then
		if currentIndex == 1 then
			town:unlockLocation(TownLocation.Store)
		end
		dialog:callEnd()
		return
	end
	
	showDialog(currentIndex + 1)
	
end

function started ()
	showDialog(0)
end

function ended ()

end