-- keeps track of the dialog index
local currentIndex = 0

-- globals
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)
local quests = LuaQuests(Quests)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if currentIndex == 0 then
		currentDialog:show({key = "spicequest_text_1", options = {{key = "spicequest_reply_1_a"}, {key = "spicequest_reply_1_b", id = -1}}})
	elseif currentIndex == 1 then
		currentDialog:show({key = "spicequest_text_2", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)

	if optionIdentifier == -1 then
		if currentIndex == 1 then
			quests:makeSourceAvailable("merchant")
			local ctx = LuaDialogContext(dialog:getContext("merchant0"))
			ctx:setBoolean(0, true)
		end
		dialog:callEnd()
		return
	end
	
	showDialog(currentIndex + 1)
	
end

function started ()
	showDialog(0)
end

function ended ()

end