-- keeps track of the dialog index
local currentIndex = 0

-- globals
local dialog = LuaDialogManager(DialogManager)
local gui = LuaGUI(GUI)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if currentIndex == 0 then
		currentDialog:show({key = "accomodation_text_1", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	if optionIdentifier == -1 then
		if currentIndex == 0 then
			local ctx = LuaDialogContext(dialog:getContext("tavernkeeper0"))
			local currentDialog = LuaDialog(dialog:getCurrentDialog())
			if ctx:getBoolean(1) == false then
				ctx:setBoolean(1, true)
				gui:showInfoMessage({text = currentDialog:getText("pass_season_info")})
			end
		end
		dialog:callEnd()
		return
	end
	showDialog(currentIndex + 1)
end

function started ()
	showDialog(0)
end

function ended ()

end