-- keeps track of the dialog index
local currentIndex = 0

-- globals
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)
local gui = LuaGUI(GUI)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	local ctx = LuaDialogContext(dialog:getContext("provisioner"))
	
	if dialogIndex == 0 then
		if ctx:getBoolean(0) == false then
			currentDialog:show({key = "greet_text_1", options = {{key = "continue", id = -1}}})
		else
			currentDialog:show({key = "greet_text_2", options = {{key = "continue", id = -1}}})
		end
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	local ctx = LuaDialogContext(dialog:getContext("provisioner"))
	if optionIdentifier == -1 then
		if currentIndex == 0 then
			if ctx:getBoolean(0) == false then
				local currentDialog = LuaDialog(dialog:getCurrentDialog())
				ctx:setBoolean(0, true)
				party:increaseTreasure(500)
				gui:showInfoMessage({text = currentDialog:getText("gift_text")});
			end
		end
	
		dialog:callEnd()
		return
	end
end

function started ()
	showDialog(0)
end

function ended ()

end