-- keeps track of the dialog index
local currentIndex = 0

-- globals
local dialog = LuaDialogManager(DialogManager)
local gui = LuaGUI(GUI)
local quests = LuaQuests(Quests)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	local ctx = LuaDialogContext(dialog:getContext("tavernkeeper2"))
	
	if currentIndex == 0 then
		currentDialog:show({key = "ask_provisioner_text_1", options = {{key = "option_1"}}})
	elseif currentIndex == 1 then	
		currentDialog:show({key = "ask_provisioner_text_2", options = {{key = "option_2"}}})
	elseif currentIndex == 2 then	
		currentDialog:show({key = "ask_provisioner_text_3", options = {{key = "option_3"}}})
	else
		currentDialog:show({key = "ask_provisioner_text_4", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	
	if currentIndex == 3 then
		--[[local ctx = LuaDialogContext(dialog:getContext("provisioner"))
	 	if ctx:isAvailable() == false then
			ctx:setIsAvailable(true)
		end]]--
		local ctx = LuaDialogContext(dialog:getContext("tavernkeeper1"))
		ctx:setBoolean(0, true)
	end
	
	if optionIdentifier == -1 then
		dialog:callEnd()
		return
	end
	
	showDialog(currentIndex + 1)
end

function started ()
	showDialog(0)
end

function ended ()

end