-- Interfaces
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

--[[
	General
]]--

function isAvailable ()
	local ctx = LuaDialogContext(dialog:getContext("harbormaster2"))
	return ctx:isAvailable()
end

function getName ()
	return "Harbourmaster"
end

function getTopics ()
	
	local ctx = LuaDialogContext(dialog:getContext("harbormaster2"))
	
	local topics = {}
	local i = 1
	
	topics[i] = "greet"
	i = i + 1
	
	if ctx:isTopicOpened("greet") == true then
		topics[i] = "ask_travel"
		i = i + 1
	end
	
	if ctx:isTopicOpened("ask_travel") == true and ctx:getInteger(0) ~= 2 then
		topics[i] = "buy_ale"
		i = i + 1
	end

	return topics
	
end

function getTopicTitle (topicKey)
	if topicKey == "buy_ale" then
		local ctx = LuaDialogContext(dialog:getContext("harbormaster2"))
		if ctx:getInteger(0) == 0 then
			return LuaDialog(dialog:getCurrentDialog()):getText("buy_ale_1")
		elseif ctx:getInteger(0) == 1 then
			return LuaDialog(dialog:getCurrentDialog()):getText("buy_ale_2")
		end
	else
		return nil
	end
end