-- keeps track of the dialog index
local currentIndex = 0

-- globals
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	local ctx = LuaDialogContext(dialog:getContext())
	
	if dialogIndex == 0 then
		currentDialog:show({key = "ask_travel_1", options = {{key = "travel_reply_1"}}})
	elseif dialogIndex == 1 then
		currentDialog:show({key = "ask_travel_2", options = {{key = "continue", id = -1}}})
	elseif dialogIndex == 2 then
		currentDialog:show({key = "ask_travel_3", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)

	local ctx = LuaDialogContext(dialog:getContext())
	
	if optionIdentifier == -1 then
		if currentIndex == 2 then
			ctx:setBoolean(0, true)
		end
		dialog:callEnd()
		return
	end
	
	showDialog(currentIndex + 1)
	
end

function started ()

	local ctx = LuaDialogContext(dialog:getContext())
	
	if ctx:getInteger(0) == 2 then
		showDialog(2)
	else
		showDialog(0)
	end
end

function ended ()

end