-- keeps track of the dialog index
local currentIndex = 0

-- access to globals
local game = LuaGame(Game)
local gui = LuaGUI(GUI)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if dialogIndex == 0 then
		currentDialog:show({key = "ale_response_1", options = {{key = "continue", id = -1}}})
	elseif dialogIndex == 1 then
		currentDialog:show({key = "ale_response_2", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	
	local ctx = LuaDialogContext(dialog:getContext());
	
	if optionIdentifier == -1 then
		if currentIndex == 0 then
			ctx:setInteger(0, 1)
		elseif currentIndex == 1 then
			ctx:setInteger(0, 2)
			ctx:setTopicOpened("ask_travel", false)
		end
	
		dialog:callEnd()
		return
	end
	
	showDialog(currentIndex + 1)
	
end

function started ()

	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	local msgBody = currentDialog:getText("message_box_ale_content")
	local msgTitle = currentDialog:getText("message_box_ale_title")
	
	gui:showMessageBox({
						text = msgBody,
						title = msgTitle,
						type = MessageBoxType.Confirmation,
						id = 1234,
						verticalAlign = VerticalAlignment.Middle});
	
end

function ended ()
	local ctx = LuaDialogContext(dialog:getContext("harbormaster2"));
	if currentIndex == 0 or currentIndex == 1 then
		ctx:setTopicOpened("buy_ale", false)
	end
end

function delegates ()
	return {Delegates.MessageBox}
end

function messageBoxDismissed(id, button)
	local ctx = LuaDialogContext(dialog:getContext("harbormaster2"));
	if id == 1234 then
		-- Yes
		if button == 2 then
			print("Yes button clicked")
			party:decreaseTreasure(2)
			ctx:setInteger(0, ctx:getInteger(0) + 1)
			print("integer[0] = ", ctx:getInteger(0))
			if ctx:getInteger(0) == 1 then
				showDialog(0)
			else
				showDialog(1)
			end
			return true
		--No
		elseif button == 1 then
			print("No button clicked")
			dialog:callEnd()
		end
	end
	return false
end