-- keeps track of the dialog index
local currentIndex = 0

-- globals
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)
local gui = LuaGUI(GUI)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if currentIndex == 0 then
		currentDialog:show({key = "closed_store_1", options = {{key = "closed_option_1"}}})
	elseif currentIndex == 1 then
		currentDialog:show({key = "closed_store_2", options = {{key = "closed_option_2"}}})
	elseif currentIndex == 2 then
		currentDialog:show({key = "closed_store_3", options = {{key = "closed_option_3"}}})
	elseif currentIndex == 3 then
		currentDialog:show({key = "closed_store_4", options = {{key = "closed_option_4"}}})
	elseif currentIndex == 4 then
		currentDialog:show({key = "closed_store_5", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	if optionIdentifier == -1 then
		if currentIndex == 4 then
			LuaDialogContext(dialog:getContext("harbormaster2")):setIsAvailable(true)
			local ctx = LuaDialogContext(dialog:getContext("merchant2"))
			if ctx:getBoolean(0) == false then
				ctx:setBoolean(0, true)
				gui:showNotification({key = "gettingstarted_quest_objective_added", sound = 1});
			end
		end
		dialog:callEnd()
		return
	end
	
	showDialog(currentIndex + 1)
	
end

function started ()
	showDialog(0)
end

function ended ()

end