-- keeps track of the dialog index
local currentIndex = 0

-- globals
local game = LuaGame(Game)
local party = LuaParty(Party)
local town = LuaTownState(TownState)
local dialog = LuaDialogManager(DialogManager)

function showDialog (dialogIndex)

	currentIndex = dialogIndex
	
	local currentDialog = LuaDialog(dialog:getCurrentDialog())
	
	if dialogIndex == 0 then
		currentDialog:show({key = "greet_text_2", options = {{key = "option_2"} }})
	elseif dialogIndex == 1 then
		currentDialog:show({key = "greet_text_3", options = {{key = "option_3"} }})
	elseif dialogIndex == 2 then
		currentDialog:show({key = "greet_text_4", options = {{key = "option_4"} }})
	elseif dialogIndex == 3 then
		currentDialog:show({key = "greet_text_5", options = {{key = "continue", id = -1}}})
	end
end

function dismissDialogWithOption (optionIndex, optionIdentifier)
	if optionIdentifier == -1 then
		dialog:callEnd()
		return
	end
	showDialog(currentIndex + 1)
end

function started ()
	showDialog(0)
end

function ended ()

end